com.tibbo.aggregate.common.device

## Class DeviceSettingStatus

- java.lang.Object
- - com.tibbo.aggregate.common.device.DeviceSettingStatus

-     public class DeviceSettingStatus
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_DIRECTION`
    `static java.lang.String` | `FIELD_DURATION`
    `static java.lang.String` | `FIELD_ERROR`
    `static java.lang.String` | `FIELD_NAME`
    `static java.lang.String` | `FIELD_TIME`
    `static java.lang.String` | `FIELD_UPDATED`
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceSettingStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDirection()`
    `java.lang.Long` | `getDuration()`
    `java.lang.String` | `getError()`
    `java.util.Date` | `getTime()`
    `boolean` | `isUpdated()`
    `void` | `setDirection(int direction)`
    `void` | `setDuration(java.lang.Long duration)`
    `void` | `setError(java.lang.String error)`
    `void` | `setTime(java.util.Date time)`
    `void` | `setUpdated(boolean updated)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_NAME

          public static final java.lang.String FIELD_NAME

      See Also:
        Constant Field Values

    - #### FIELD_TIME

          public static final java.lang.String FIELD_TIME

      See Also:
        Constant Field Values

    - #### FIELD_DURATION

          public static final java.lang.String FIELD_DURATION

      See Also:
        Constant Field Values

    - #### FIELD_UPDATED

          public static final java.lang.String FIELD_UPDATED

      See Also:
        Constant Field Values

    - #### FIELD_DIRECTION

          public static final java.lang.String FIELD_DIRECTION

      See Also:
        Constant Field Values

    - #### FIELD_ERROR

          public static final java.lang.String FIELD_ERROR

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### DeviceSettingStatus

          public DeviceSettingStatus()

  - ### Method Detail

    - #### getTime

          public java.util.Date getTime()

    - #### setTime

          public void setTime(java.util.Date time)

    - #### getDuration

          public java.lang.Long getDuration()

    - #### setDuration

          public void setDuration(java.lang.Long duration)

    - #### isUpdated

          public boolean isUpdated()

    - #### setUpdated

          public void setUpdated(boolean updated)

    - #### getDirection

          public int getDirection()

    - #### setDirection

          public void setDirection(int direction)

    - #### getError

          public java.lang.String getError()

    - #### setError

          public void setError(java.lang.String error)